package de.codedo.java.editor;

import org.eclipse.core.commands.AbstractHandler;
import org.eclipse.core.commands.ExecutionEvent;
import org.eclipse.core.commands.ExecutionException;
import org.eclipse.ui.IEditorPart;
import org.eclipse.ui.handlers.HandlerUtil;

public class ToggleEditorIconHandler extends AbstractHandler
{
	@Override
	public Object execute(ExecutionEvent event) throws ExecutionException 
	{
		IEditorPart editorPart = HandlerUtil.getActiveEditor(event);
		if (editorPart instanceof CodedoJavaEditor)
		{
			CodedoJavaEditor editor = (CodedoJavaEditor)editorPart;
			editor.toggleTitleImage();
		}
		return null;
	}
}
